Bug 547509 - [abrt] crash detected in coreutils-7.6-7.fc12
[abrt] crash detected in coreutils-7.6-7.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
abrt_hash:60013ffa84f243863d28e1d6fbd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 15:23 EST by Jim Powers
Modified: 2010-01-18 19:57 EST (History)
3 users (show)

See Also:
Fixed In Version: 7.6-9.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-18 19:57:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.96 KB, text/plain)
2009-12-14 15:23 EST, Jim Powers
no flags Details

  None (edit)
Description Jim Powers 2009-12-14 15:23:56 EST
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. Tailing log file from Jetty
2.
3.

backtrace
-----
Debuginfo absent: 077608cdb9fe60f65c86118dbb71bfa26f3f7f0f
Core was generated by `tail -F 2009_12_14.stderrout.log'.
Program terminated with signal 6, Aborted.
#0  0x009e1416 in __kernel_vsyscall ()

Thread 1 (Thread 15991):
#0  0x009e1416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00bc4a81 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = 13676532
        selftid = 15991
#2  0x00bc634a in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
          sa_mask = {__val = {0, 32, 0, 0, 2, 8, 13681592, 13443650, 110, 16, 
              0, 13681536, 13681584, 13676532, 13681536, 151022560, 
              3219931000, 12632574, 0, 2, 18, 134573316, 12624918, 151022560, 
              3219931080, 134543199, 8, 17, 13681584, 13676532, 13681536, 
              17}}, sa_flags = 151022472, 
          sa_restorer = 0xc0c00c <__libc_calloc+380>}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#3  0x0804fba4 in ?? ()
No symbol table info available.
#4  0x0804a6d0 in exit () at exit.c:99
No symbol table info available.
#5  0x0804d747 in exit () at exit.c:99
No symbol table info available.
#6  0x00bb0bb6 in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
    init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=<value optimized out>)
    at libc-start.c:220
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {13676532, 0, 0, 
                -1075035128, -1296698885, 472131205}, mask_was_saved = 0}}, 
          priv = {pad = {0x0, 0x0, 0xb7a640, 0x5a}, data = {prev = 0x0, 
              cleanup = 0x0, canceltype = 12035648}}}
        not_first_call = <value optimized out>
#7  0x08049181 in exit () at exit.c:99
No symbol table info available.

cmdline: tail -F 2009_12_14.stderrout.log
component: coreutils
executable: /usr/bin/tail
kernel: 2.6.31.6-166.fc12.i686
package: coreutils-7.6-7.fc12
rating: 3
reason: Process was terminated by signal 6
Comment 1 Jim Powers 2009-12-14 15:23:59 EST
Created attachment 378338 [details]
File: backtrace
Comment 2 Ondrej Vasik 2010-01-12 11:41:55 EST
Thanks for report. Backtrace doesn't show the things from tail - more from the SIGABRT handling. However - there was a lot of fixes in tail -F in rawhide, some regressions introduced by 7.6 - therefore I did a backport of most of the tail related changes from coreutils-8.3 to F-12 - built in koji as coreutils-7.6-9.fc12 . As it is probable the issue reported by ABRT might be fixed by this update, I'll use that bugzilla for it although I'm not really sure about it.
Comment 3 Fedora Update System 2010-01-13 20:19:43 EST
coreutils-7.6-9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update coreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0494
Comment 4 Fedora Update System 2010-01-18 19:57:08 EST
coreutils-7.6-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.